Subject: bug#22832: 25.0.91; Keyboard navigation broken on menus

From: Óscar Fuentes <[email-masked]>
Date: Thu, 02 Dec 2021 16:52:22 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> This was five years ago, and there was no response.  I'm not able to
> reproduce the problem, either, so I'm guessing that this is fixed, and
> I'm closing this bug report.  (If anybody can reproduce the problem,
> please respond to the debbugs address and we'll reopen.)

I can reproduce the problem with:

In GNU Emacs 29.0.50 (build 3, x86_64-pc-linux-gnu, X toolkit, cairo version 1.16.0, Xaw3d scroll bars)
 of 2021-12-02 built on sky
Repository revision: 7dfa758fef58dbfcd00baaea374260d5d3510b7f
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux bookworm/sid

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LIBOTF LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG RSVG
SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XAW3D XDBE XIM XPM
LUCID ZLIB

and my configure command (why doesn't it appear on the above chunk of
text copied from M-x report-emacs-bug as it used to do?):

--with-native-compilation --without-toolkit-scroll-bars --with-x-toolkit=lucid --with-modules --without-imagemagick